<div id="cepcerto-form">
    <div class="form-row">
        <?php
        // Recupera o CEP de origem armazenado no banco de dados
        $cep_origem_salvo = get_option('cepcerto_cep_origem', '');

        // Verifica se o CEP de origem já foi definido
        if (empty($cep_origem_salvo)) {
            // Exibe o campo de entrada do CEP de origem caso não esteja definido
            ?>
            <div id="div_ceporigem">
                <label for="cep-origem"><?php esc_html_e('CEP Origem:', 'cep-certo-calculo-frete'); ?></label>
                <input type="text" id="cep-origem" name="cep-origem" maxlength="9" onkeyup="maskCepInput(event)" placeholder="99999-999" draggable="false" ondrop="return false;" required>
            </div>
            <?php
        } else {
            // Oculta o campo e define o valor do CEP salvo
            ?>
            <input type="hidden" id="cep-origem" name="cep-origem" value="<?php echo esc_attr($cep_origem_salvo); ?>">
            <?php
        }
        ?>
        <div>
            <label for="cep-destino"><?php esc_html_e('CEP Destino:', 'cep-certo-calculo-frete'); ?></label>
            <input type="text" id="cep-destino" name="cep-destino" maxlength="9" onkeyup="maskCepInput(event)" placeholder="99999-999" draggable="false" ondrop="return false;" required>
        </div>
    </div>
    <div class="form-row">
        <div>
            <label for="peso"><?php esc_html_e('Peso (kg):', 'cep-certo-calculo-frete'); ?></label>
            <select name="peso" id="peso">
                <option selected="" value="">Peso estimado</option>
                <option value="300">300 gramas</option>
                <?php
                for ($i = 1000; $i <= 30000; $i += 1000) {
                    if ($i == 1000) {
                        $label = '1 kilo';
                    } else {
                        $label = ($i / 1000) . ' kilos';
                    }
                    echo '<option value="' . $i . '">' . $label . '</option>';
                }
                ?>
            </select>
        </div>
        <div>
            <label for="altura"><?php esc_html_e('Altura (cm):', 'cep-certo-calculo-frete'); ?></label>
            <input type="text" id="altura" name="altura" maxlength="3" placeholder="<?php esc_attr_e('min 13 cm - max 100cm', 'cep-certo-calculo-frete'); ?>"  onkeyup="maskIntegerInput(event)" draggable="false" ondrop="return false;" required>
        </div>
    </div>
    <div class="form-row">
        <div>
            <label for="largura"><?php esc_html_e('Largura (cm):', 'cep-certo-calculo-frete'); ?></label>
            <input type="text" id="largura" name="largura" maxlength="3" placeholder="<?php esc_attr_e('min 13 cm - max 100cm', 'cep-certo-calculo-frete'); ?>"  onkeyup="maskIntegerInput(event)" draggable="false" ondrop="return false;" required>
        </div>
        <div>
            <label for="comprimento"><?php esc_html_e('Comprimento (cm):', 'cep-certo-calculo-frete'); ?></label>
            <input type="text" id="comprimento" name="comprimento" maxlength="3" placeholder="<?php esc_attr_e('min 13 cm - max 100cm', 'cep-certo-calculo-frete'); ?>"  onkeyup="maskIntegerInput(event)" draggable="false" ondrop="return false;" required>
        </div>
    </div>
    <input type="button" id="calculate-shipping" value="<?php esc_attr_e('Calcular Frete', 'cep-certo-calculo-frete'); ?>">
    <div id="frete-resultado"></div>
    <div id="error-messages" class="error-message"></div>
</div>