<?php
// Verifica se a chave já existe na tabela wp_options
$cep_origem_salvo = get_option('cepcerto_cep_origem', '');

// Formata o CEP salvo para o padrão xxxxx-xxx, caso já não esteja formatado e não esteja vazio
if (!empty($cep_origem_salvo) && preg_match('/^\d{8}$/', $cep_origem_salvo)) {
    $cep_origem_salvo = preg_replace('/^(\d{5})(\d{3})$/', '$1-$2', $cep_origem_salvo);
}
?>

<div class="cepcerto-div-mae">
    <div class="row">
        <div class="box-white">
            <img src="<?php echo plugin_dir_url(__FILE__) . '../img/logo-cepcerto.png'; ?>" alt="CepCerto Logo" style="max-width: 100%; height: auto;">
            <h3>Cadastrar Cep de Origem</h3>
            <ol class="styled-list">
                <li>Insira o Cep de Origem.</li>
                <li>Eliminando a necessidade de inserção manual no formulário.</li>
                <li>Tornando o processo ainda mais rápido.</li>
                <li>Dúvidas? <a href="https://wa.me/5517920008366" target="_blank">Fale com a gente pelo WhatsApp</a></li>
            </ol>
            <form id="cadastro-cep-origem" method="post">
                <input type="hidden" name="action" value="cepcerto_salvar_cep_origem">
                <div>
                <label for="cep-origem">Cep de Origem:</label>
                <input type="text" id="cep-origem" name="cep-origem" maxlength="9" placeholder="Digite o Cep de Origem" value="<?php echo esc_attr($cep_origem_salvo); ?>" onkeyup="maskCepInput(event)" placeholder="99999-999" draggable="false" ondrop="return false;" required>
                </div>
                <div class="button-container">
                <button type="submit" class="link-style">Salvar Cep de Origem</button>
                </div>
                <div>
                    <label for="desativar-cep">
                        <input type="checkbox" id="desativar-cep" name="desativar_cep" value="1"> Desativar Cep de Origem
                    </label>
                </div>
                <div id="mensagemretornoceporigem"></div>
                <div id="loadingceporigem" style="display:none;">Carregando...</div>
            </form>
        </div>
    </div>
</div>